Web lists-archives.com

Re: [PATCH] git-compat-util: prefer poll.h to sys/poll.h




"brian m. carlson" <sandals@xxxxxxxxxxxxxxxxxxxx> writes:

> On Wed, Nov 14, 2018 at 08:10:43AM +0700, Đoàn Trần Công Danh wrote:
>> POSIX specifies that <poll.h> is the correct header for poll(2)
>> whereas <sys/poll.h> is only needed for some old libc.
>> 
>> Let's follow the POSIX way by default.
>> 
>> This effectively eliminates musl's warning:
>> 
>>     warning redirecting incorrect #include <sys/poll.h> to <poll.h>
>> 
>> Signed-off-by: Đoàn Trần Công Danh <congdanhqx@xxxxxxxxx>
>
> I think this patch is fine.  This was in SUSv2, and I don't feel bad
> about siding with a spec that's at least 17 years old.

Yup, I agree.  Thanks, both.